%define version      1.2.2
%define release      %mkrel 1

%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

Summary:	Another Input Method for traditional Chinese
Name:		oxim
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/Internationalization
URL:		http://opendesktop.org.tw/demopage/oxim/
Source0:	ftp://140.111.128.66/odp/OXIM/Source/%{name}-%{version}.tar.gz
Source1:	oxim_README.en
Patch0:		oxim-1.2.1-fix-str-fmt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	zlib
Requires:	%{libname} = %{version}-%{release}
Requires:	libchewing-data
BuildRequires:	zlib-devel
BuildRequires:	gtk2-devel
BuildRequires:	libchewing-devel
BuildRequires:	qt3-devel
BuildRequires:	X11-devel
Suggests:	oxim-setup >= 1.2.1

%description
Another Input Method for traditional Chinese.

%package -n %{libname}
Summary:    Oxim library
Group:      System/Internationalization

%description -n %{libname}
Oxim library.

%package -n %{develname}
Summary:    Oxim Development files
Group:      System/Internationalization
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
Oxim Development files.

%package    qtimm
Summary:    Oxim plugin for qt-immodule
Group:      System/Internationalization
Requires:   %{name} = %{version}

%description qtimm
Oxim plugin for qt-immodule.

%prep
%setup -q
%patch0 -p0

cp %SOURCE1 README.en

%build
%configure2_5x --disable-static --with-qt-dir=%{qt3dir} --with-qt-imdir=%{qt3plugins}/inputmethods
%make

%install
rm -fr %buildroot
%makeinstall_std

%find_lang %name

# remove devel files
rm -rf %{buildroot}/%{_libdir}/*.{a,la}
rm -rf %{buildroot}/%{_libdir}/gtk-2.0/immodules/*.{a,la}
rm -rf %{buildroot}/%{_libdir}/oxim/modules/*.{a,la}
rm -rf %{buildroot}/%{_sysconfdir}/X11/xinit/xinput.d/%{name}
rm -rf %{buildroot}/%{_datadir}/gettext

%post
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%if %mdkversion < 200900
%update_menus
%endif

%postun
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
%if %mdkversion < 200900
%clean_menus
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README README.en COPYING AUTHORS
%dir %{_sysconfdir}/oxim
%config(noreplace) %{_sysconfdir}/oxim/*
%{_bindir}/oxim*
%{_libdir}/gtk-2.0/immodules/gtk-im-oxim.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.so
%dir %{_libdir}/%{name}/immodules
%{_libdir}/%{name}/immodules/gtk*
%{_libdir}/%{name}/panels/*
%{_libdir}/%{name}/tables/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/liboxim.so.*

%files qtimm
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/%{name}/immodules
%{_libdir}/%{name}/immodules/qt*
%{qt3plugins}/inputmethods/*.so

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/liboxim.so


%changelog
* Sun May 17 2009 Funda Wang <fundawang@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 376708
- New version 1.2.2

* Fri Feb 06 2009 Funda Wang <fundawang@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 338300
- suggests setup prog

* Fri Feb 06 2009 Funda Wang <fundawang@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 338289
- provides devel package

* Fri Feb 06 2009 Funda Wang <fundawang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 338279
- New version 1.2.1

* Thu Aug 21 2008 Funda Wang <fundawang@mandriva.org> 1.1.6-3mdv2009.0
+ Revision: 274964
- do not use sed magic for qt3 immodule

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Fri May 02 2008 Funda Wang <fundawang@mandriva.org> 1.1.6-1mdv2009.0
+ Revision: 200475
- move qtimm
- add missing files
- New version 1.1.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Funda Wang <fundawang@mandriva.org> 1.1.3-1mdv2008.0
+ Revision: 25391
- New version

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 1.1.2.92-5mdv2008.0
+ Revision: 22215
- bump release

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 1.1.2.92-4mdv2008.0
+ Revision: 22213
- move non-versioned files into main package.
- tabe is not needed in fact.
- rebuild against new tabe.


* Sat Mar 10 2007 Funda Wang <fundawang@mandriva.org> 1.1.2.92-2mdv2007.1
+ Revision: 140306
- bump dependency to db4.5-devel
- really fix lib64 dir.
- more generic fix on qt3plugindir.

  + Emmanuel Andry <eandry@mandriva.org>
    - build with db4.5
      uncompress patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - Import oxim

* Thu Feb 22 2007 Funda Wang <fundawang@gmail.com> 1.1.2.92-1mdv2007.1
- New release

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-5mdk
- fix build on x86_64

* Wed Apr 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-3mdk
- add qt-immodule support

* Mon Apr 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-2mdk
- new release
- change URL
- add "--disable-static" to configure
- update source1 (oxim_README.en)
- add patch0

* Tue Mar 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.1-1mdk
- first spec for Mandriva

